import SnfAvatar from "./snf-avatar/index.js";
import SnfBadge from "./snf-badge/index.js";
import SnfButton from "./snf-button/index.js";
import SnfButtonGroup from "./snf-button-group/index.js";

import './default/index.scss';

const components = [SnfAvatar,SnfBadge,SnfButton,SnfButtonGroup];

const install = function(Vue) {
	
  if (install.installed) return;
  components.forEach(component => {
	  
    Vue.component(component.name, component)
	
  });
};
// 判断是否是直接引入文件
if (typeof window !== "undefined" && window.Vue) {
    
  install(window.Vue);
}
export default {
    
  install,
  
  SnfButton

}